
From: James Simmons <jsimmons@infradead.org>

This patch fixes fb_console_init from being called twice.  I still need to
fix set_con2fb but this helps but this is still important to get in.



---

 25-akpm/drivers/video/console/fbcon.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletion(-)

diff -puN drivers/video/console/fbcon.c~fb_console_init-fix drivers/video/console/fbcon.c
--- 25/drivers/video/console/fbcon.c~fb_console_init-fix	Fri Feb 20 17:24:27 2004
+++ 25-akpm/drivers/video/console/fbcon.c	Fri Feb 20 17:24:27 2004
@@ -2336,6 +2336,7 @@ int __init fb_console_init(void)
 {
 	if (!num_registered_fb)
 		return -ENODEV;
+
 	take_over_console(&fb_con, first_fb_vc, last_fb_vc, fbcon_is_default);
 	acquire_console_sem();
 	if (!fbcon_event_notifier_registered) {
@@ -2343,10 +2344,11 @@ int __init fb_console_init(void)
 		fbcon_event_notifier_registered = 1;
 	} 
 	release_console_sem();
-
 	return 0;
 }
 
+#ifdef MODULE
+
 void __exit fb_console_exit(void)
 {
 	acquire_console_sem();
@@ -2361,6 +2363,8 @@ void __exit fb_console_exit(void)
 module_init(fb_console_init);
 module_exit(fb_console_exit);
 
+#endif
+
 /*
  *  Visible symbols for modules
  */

_
